Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.web
Class RestfulGraphDatabase

    java.lang.Object
      org.neo4j.server.rest.web.RestfulGraphDatabase

    public class RestfulGraphDatabase

extends Object

Nested Class Summary
`static class` | `RestfulGraphDatabase.AmpersandSeparatedCollection`

Field Summary
`protected static String` | `PATH_NAMED_NODE_INDEX`
`protected static String` | `PATH_NAMED_RELATIONSHIP_INDEX`
`protected static String` | `PATH_NODE_INDEX`
`protected static String` | `PATH_NODE_INDEX_GET`
`protected static String` | `PATH_NODE_INDEX_ID`
`protected static String` | `PATH_NODE_INDEX_QUERY`
`protected static String` | `PATH_NODE_INDEX_REMOVE`
`protected static String` | `PATH_NODE_INDEX_REMOVE_KEY`
`protected static String` | `PATH_RELATIONSHIP_INDEX`
`protected static String` | `PATH_RELATIONSHIP_INDEX_GET`
`protected static String` | `PATH_RELATIONSHIP_INDEX_ID`
`protected static String` | `PATH_RELATIONSHIP_INDEX_QUERY`
`protected static String` | `PATH_RELATIONSHIP_INDEX_REMOVE`
`protected static String` | `PATH_RELATIONSHIP_INDEX_REMOVE_KEY`

Constructor Summary
`RestfulGraphDatabase(javax.ws.rs.core.UriInfo uriInfo, Database database, InputFormat input, OutputFormat output)`

Method Summary
`javax.ws.rs.core.Response` | `addToNodeIndex(String indexName, String key, String value, String objectUri)`
`javax.ws.rs.core.Response` | `addToRelationshipIndex(String indexName, String key, String value, String objectUri)`
`javax.ws.rs.core.Response` | `allPaths(long startNode, String body)`
`javax.ws.rs.core.Response` | `createNode(String body)`
`javax.ws.rs.core.Response` | `createRelationship(long startNodeId, String body)`
`javax.ws.rs.core.Response` | `deleteAllNodeProperties(long nodeId)`
`javax.ws.rs.core.Response` | `deleteAllRelationshipProperties(long relationshipId)`
`javax.ws.rs.core.Response` | `deleteFromNodeIndex(String indexName, String key, String value, long id)`
`javax.ws.rs.core.Response` | `deleteFromNodeIndexNoKeyValue(String indexName, long id)`
`javax.ws.rs.core.Response` | `deleteFromNodeIndexNoValue(String indexName, String key, long id)`
`javax.ws.rs.core.Response` | `deleteFromRelationshipIndex(String indexName, String value, long id)`
`javax.ws.rs.core.Response` | `deleteFromRelationshipIndex(String indexName, String key, String value, long id)`
`javax.ws.rs.core.Response` | `deleteFromRelationshipIndexnoValue(String indexName, String key, long id)`
`javax.ws.rs.core.Response` | `deleteNode(long nodeId)`
`javax.ws.rs.core.Response` | `deleteNodeProperty(long nodeId, String key)`
`javax.ws.rs.core.Response` | `deleteRelationship(long relationshipId)`
`javax.ws.rs.core.Response` | `deleteRelationshipProperty(long relationshipId, String key)`
`javax.ws.rs.core.Response` | `getAllNodeProperties(long nodeId)`
`javax.ws.rs.core.Response` | `getAllRelationshipProperties(long relationshipId)`
`javax.ws.rs.core.Response` | `getIndexedNodes(String indexName, String key, String value)`
`javax.ws.rs.core.Response` | `getIndexedNodesByQuery(String indexName, String key, String query)`
`javax.ws.rs.core.Response` | `getIndexedRelationships(String indexName, String key, String value)`
`javax.ws.rs.core.Response` | `getIndexedRelationshipsByQuery(String indexName, String key, String query)`
`javax.ws.rs.core.Response` | `getNode(long nodeId)`
`javax.ws.rs.core.Response` | `getNodeFromIndexUri(String indexName, String key, String value, long id)`
`javax.ws.rs.core.Response` | `getNodeIndexRoot()`
`javax.ws.rs.core.Response` | `getNodeProperty(long nodeId, String key)`
`javax.ws.rs.core.Response` | `getNodeRelationships(long nodeId, DatabaseActions.RelationshipDirection direction)`
`javax.ws.rs.core.Response` | `getNodeRelationships(long nodeId, DatabaseActions.RelationshipDirection direction, RestfulGraphDatabase.AmpersandSeparatedCollection types)`
`javax.ws.rs.core.Response` | `getRelationship(long relationshipId)`
`javax.ws.rs.core.Response` | `getRelationshipFromIndexUri(String indexName, String key, String value, long id)`
`javax.ws.rs.core.Response` | `getRelationshipIndexRoot()`
`javax.ws.rs.core.Response` | `getRelationshipProperty(long relationshipId, String key)`
`javax.ws.rs.core.Response` | `getRoot()`
`javax.ws.rs.core.Response` | `jsonCreateNodeIndex(String json)`
`javax.ws.rs.core.Response` | `jsonCreateRelationshipIndex(String json)`
`javax.ws.rs.core.Response` | `setAllNodeProperties(long nodeId, String body)`
`javax.ws.rs.core.Response` | `setAllRelationshipProperties(long relationshipId, String body)`
`javax.ws.rs.core.Response` | `setNodeProperty(long nodeId, String key, String body)`
`javax.ws.rs.core.Response` | `setRelationshipProperty(long relationshipId, String key, String body)`
`javax.ws.rs.core.Response` | `singlePath(long startNode, String body)`
`javax.ws.rs.core.Response` | `traverse(long startNode, TraverserReturnType returnType, String body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_NODE_INDEX

    protected static final String PATH_NODE_INDEX

See Also:
  Constant Field Values

### PATH_NAMED_NODE_INDEX

    protected static final String PATH_NAMED_NODE_INDEX

See Also:
  Constant Field Values

### PATH_NODE_INDEX_GET

    protected static final String PATH_NODE_INDEX_GET

See Also:
  Constant Field Values

### PATH_NODE_INDEX_QUERY

    protected static final String PATH_NODE_INDEX_QUERY

See Also:
  Constant Field Values

### PATH_NODE_INDEX_ID

    protected static final String PATH_NODE_INDEX_ID

See Also:
  Constant Field Values

### PATH_NODE_INDEX_REMOVE_KEY

    protected static final String PATH_NODE_INDEX_REMOVE_KEY

See Also:
  Constant Field Values

### PATH_NODE_INDEX_REMOVE

    protected static final String PATH_NODE_INDEX_REMOVE

See Also:
  Constant Field Values

### PATH_RELATIONSHIP_INDEX

    protected static final String PATH_RELATIONSHIP_INDEX

See Also:
  Constant Field Values

### PATH_NAMED_RELATIONSHIP_INDEX

    protected static final String PATH_NAMED_RELATIONSHIP_INDEX

See Also:
  Constant Field Values

### PATH_RELATIONSHIP_INDEX_GET

    protected static final String PATH_RELATIONSHIP_INDEX_GET

See Also:
  Constant Field Values

### PATH_RELATIONSHIP_INDEX_QUERY

    protected static final String PATH_RELATIONSHIP_INDEX_QUERY

See Also:
  Constant Field Values

### PATH_RELATIONSHIP_INDEX_ID

    protected static final String PATH_RELATIONSHIP_INDEX_ID

See Also:
  Constant Field Values

### PATH_RELATIONSHIP_INDEX_REMOVE_KEY

    protected static final String PATH_RELATIONSHIP_INDEX_REMOVE_KEY

See Also:
  Constant Field Values

### PATH_RELATIONSHIP_INDEX_REMOVE

    protected static final String PATH_RELATIONSHIP_INDEX_REMOVE

See Also:
  Constant Field Values

Constructor Detail

### RestfulGraphDatabase

    public RestfulGraphDatabase(@Context
                                javax.ws.rs.core.UriInfo uriInfo,
                                @Context
                                Database database,
                                @Context
                                InputFormat input,
                                @Context
                                OutputFormat output)

Method Detail

### getRoot

    public javax.ws.rs.core.Response getRoot()

### createNode

    public javax.ws.rs.core.Response createNode(String body)

### getNode

    public javax.ws.rs.core.Response getNode(long nodeId)

### deleteNode

    public javax.ws.rs.core.Response deleteNode(long nodeId)

### setAllNodeProperties

    public javax.ws.rs.core.Response setAllNodeProperties(long nodeId,
                                                          String body)

### getAllNodeProperties

    public javax.ws.rs.core.Response getAllNodeProperties(long nodeId)

### setNodeProperty

    public javax.ws.rs.core.Response setNodeProperty(long nodeId,
                                                     String key,
                                                     String body)

### getNodeProperty

    public javax.ws.rs.core.Response getNodeProperty(long nodeId,
                                                     String key)

### deleteNodeProperty

    public javax.ws.rs.core.Response deleteNodeProperty(long nodeId,
                                                        String key)

### deleteAllNodeProperties

    public javax.ws.rs.core.Response deleteAllNodeProperties(long nodeId)

### createRelationship

    public javax.ws.rs.core.Response createRelationship(long startNodeId,
                                                        String body)

### getRelationship

    public javax.ws.rs.core.Response getRelationship(long relationshipId)

### deleteRelationship

    public javax.ws.rs.core.Response deleteRelationship(long relationshipId)

### getNodeRelationships

    public javax.ws.rs.core.Response getNodeRelationships(long nodeId,
                                                          DatabaseActions.RelationshipDirection direction)

### getNodeRelationships

    public javax.ws.rs.core.Response getNodeRelationships(long nodeId,
                                                          DatabaseActions.RelationshipDirection direction,
                                                          RestfulGraphDatabase.AmpersandSeparatedCollection types)

### getAllRelationshipProperties

    public javax.ws.rs.core.Response getAllRelationshipProperties(long relationshipId)

### getRelationshipProperty

    public javax.ws.rs.core.Response getRelationshipProperty(long relationshipId,
                                                             String key)

### setAllRelationshipProperties

    public javax.ws.rs.core.Response setAllRelationshipProperties(long relationshipId,
                                                                  String body)

### setRelationshipProperty

    public javax.ws.rs.core.Response setRelationshipProperty(long relationshipId,
                                                             String key,
                                                             String body)

### deleteAllRelationshipProperties

    public javax.ws.rs.core.Response deleteAllRelationshipProperties(long relationshipId)

### deleteRelationshipProperty

    public javax.ws.rs.core.Response deleteRelationshipProperty(long relationshipId,
                                                                String key)

### getNodeIndexRoot

    public javax.ws.rs.core.Response getNodeIndexRoot()

### jsonCreateNodeIndex

    public javax.ws.rs.core.Response jsonCreateNodeIndex(String json)

### getRelationshipIndexRoot

    public javax.ws.rs.core.Response getRelationshipIndexRoot()

### jsonCreateRelationshipIndex

    public javax.ws.rs.core.Response jsonCreateRelationshipIndex(String json)

### addToNodeIndex

    public javax.ws.rs.core.Response addToNodeIndex(String indexName,
                                                    String key,
                                                    String value,
                                                    String objectUri)

### addToRelationshipIndex

    public javax.ws.rs.core.Response addToRelationshipIndex(String indexName,
                                                            String key,
                                                            String value,
                                                            String objectUri)

### getNodeFromIndexUri

    public javax.ws.rs.core.Response getNodeFromIndexUri(String indexName,
                                                         String key,
                                                         String value,
                                                         long id)

### getRelationshipFromIndexUri

    public javax.ws.rs.core.Response getRelationshipFromIndexUri(String indexName,
                                                                 String key,
                                                                 String value,
                                                                 long id)

### getIndexedNodes

    public javax.ws.rs.core.Response getIndexedNodes(String indexName,
                                                     String key,
                                                     String value)

### getIndexedNodesByQuery

    public javax.ws.rs.core.Response getIndexedNodesByQuery(String indexName,
                                                            String key,
                                                            String query)

### getIndexedRelationships

    public javax.ws.rs.core.Response getIndexedRelationships(String indexName,
                                                             String key,
                                                             String value)

### getIndexedRelationshipsByQuery

    public javax.ws.rs.core.Response getIndexedRelationshipsByQuery(String indexName,
                                                                    String key,
                                                                    String query)

### deleteFromNodeIndex

    public javax.ws.rs.core.Response deleteFromNodeIndex(String indexName,
                                                         String key,
                                                         String value,
                                                         long id)

### deleteFromNodeIndexNoValue

    public javax.ws.rs.core.Response deleteFromNodeIndexNoValue(String indexName,
                                                                String key,
                                                                long id)

### deleteFromNodeIndexNoKeyValue

    public javax.ws.rs.core.Response deleteFromNodeIndexNoKeyValue(String indexName,
                                                                   long id)

### deleteFromRelationshipIndex

    public javax.ws.rs.core.Response deleteFromRelationshipIndex(String indexName,
                                                                 String key,
                                                                 String value,
                                                                 long id)

### deleteFromRelationshipIndexnoValue

    public javax.ws.rs.core.Response deleteFromRelationshipIndexnoValue(String indexName,
                                                                        String key,
                                                                        long id)

### deleteFromRelationshipIndex

    public javax.ws.rs.core.Response deleteFromRelationshipIndex(String indexName,
                                                                 String value,
                                                                 long id)

### traverse

    public javax.ws.rs.core.Response traverse(long startNode,
                                              TraverserReturnType returnType,
                                              String body)

### singlePath

    public javax.ws.rs.core.Response singlePath(long startNode,
                                                String body)

### allPaths

    public javax.ws.rs.core.Response allPaths(long startNode,
                                              String body)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.